#!/usr/bin/env python3
import sys
import random
import time

def main():
    if len(sys.argv) != 2:
        sys.exit(1)

    try:
        N = int(sys.argv[1])
    except ValueError:
        sys.exit(1)

    if N < 120 or N > 180:
        sys.exit(1)

    operators = ['+', '-', '*', '/']

    for _ in range(N):
        x = random.randint(1, 9)
        y = random.randint(1, 9)
        op = random.choice(operators)
        print(f"{x} {op} {y}", flush=True)
        time.sleep(1)

    sys.exit(0)

if __name__ == "__main__":
    main()